Subject: Re: powerpc allnoconfig

From: Andrew Morton <[email-masked]>
Date: Mon, 2 Mar 2009 20:08:09 -0800

On Tue, 3 Mar 2009 14:19:05 +1100 Stephen Rothwell <[email-masked]> wrote:

> Hi Andrew,
> 
> On Mon, 2 Mar 2009 18:55:14 -0800 Andrew Morton <[email-masked]> wrote:
> >
> > Using built-in specs.
> > Target: powerpc64-unknown-linux-gnu
> > Configured with: /home/axboe/crosstool-0.43/build/powerpc64-unknown-linux-gnu/gcc-4.1.0-glibc-2.3.6/gcc-4.1.0/configure --target=powerpc64-unknown-linux-gnu --host=x86_64-host_unknown-linux-gnu --prefix=/opt/crosstool/gcc-4.1.0-glibc-2.3.6/powerpc64-unknown-linux-gnu --disable-multilib --with-sysroot=/opt/crosstool/gcc-4.1.0-glibc-2.3.6/powerpc64-unknown-linux-gnu/powerpc64-unknown-linux-gnu/sys-root --with-local-prefix=/opt/crosstool/gcc-4.1.0-glibc-2.3.6/powerpc64-unknown-linux-gnu/powerpc64-unknown-linux-gnu/sys-root --disable-nls --enable-threads=posix --enable-symvers=gnu --enable-__cxa_atexit --enable-languages=c --enable-shared --enable-c99 --enable-long-long
> > Thread model: posix
> > gcc version 4.1.0
> > 
> > > I suspect you have a 64 bit only compiler and allnoconfig produces a 32
> > > bit kernel.  Is this a new error?
> > 
> > 2.6.28 does the same thing.  I don't recall having tested allnoconfig
> > for ages if at all, so I don't know if it's a regression.
> 
> Right, you have a 64 bit only compiler. Also it is version 4.1.0 which we now black ban (I think).

Probably.  But I only use it for compilation testing, so the `Your
version of gcc miscompiles the __weak directive' thing is a pointless
PITA, so I patch it out.

>  You need to either build a biarch cross compiler (--enable-targets=all) or try:
> 
> $ cat >xxx <<EOF
> CONFIG_PPC64=y
> EOF
> $ KCONFIG_ALLCONFIG=xxx make allnoconfig
> $ make vmlinux
> 
> let us know if that works :-)

didn't.  Oh well.

It seems odd that it breaks an allnoconfig build, whereas defconfig and
allmodconfig are OK.